#! /usr/bin/sh -x

# generate base textures of planet

seed=4258190925

let width=1024
let height=width/2

# surface
# summer
lcolors="land_8_nbm.col"
# bump
bcolors="land_height8_b.col"
# spec
scolors="bw.col"

planet \
    -s 0.$seed \
    -m 1 \
    -w $width -h $height \
    -pq \
    -C $lcolors \
    -o planet

convert planet.bmp planet.jpg 2>/dev/null

exit

planet \
    -s 0.$seed \
    -m 1 \
    -w $width -h $height \
    -pq \
    -C $bcolors \
    -o planet-bump

convert planet-bump.bmp planet-bump.jpg 2>/dev/null

planet \
    -s 0.$seed \
    -m 1 \
    -w $width -h $height \
    -pq \
    -C $lcolors \
    -o planet-bump

convert planet.bmp planet.jpg 2>/dev/null

planet \
    -s 0.$seed \
    -m 1 \
    -w $width -h $height \
    -pq \
    -C $scolors \
    -o planet-spec

convert planet-spec.bmp planet-spec.jpg 2>/dev/null

exit

